{
  *** NOTE *****************************************************************
   I made a BIG boo-boo on the first release of these structures! The
   G5_MATES.DAT file structure is (or was) wrong! Here is what I released,

   Mate_Info = Record
     Planet_Number : Byte;      WHICH PLANET RECORD GOES WITH 1 - 5
     Girls_Name : String[15];   NAME OF GIRL TO FLIRT WITH ON PLANET
     Guys_Name : String[15];    NAME OF GUY TO FLIRT WITH ON PLANET
     Girl_MarriedTo : Integer;  GIRL MARRIED TO PLAYER NUMBER? -1 = NO ONE
     Guy_MarriedTo : Integer;   GUY MARRIED TO PLAYER NUMBER? -1 = NO ONE
   End; { MATE INFO
 ---------------------------------------------------------------------------
   And here is what it SHOULD look like,

   Mate_Info = Record
     Girls_Name : String[15];   NAME OF GIRL TO FLIRT WITH ON PLANET
     Guys_Name : String[15];    NAME OF GUY TO FLIRT WITH ON PLANET
     Girl_MarriedTo : Integer;  GIRL MARRIED TO PLAYER NUMBER? -1 = NO ONE
     Guy_MarriedTo : Integer;   GUY MARRIED TO PLAYER NUMBER? -1 = NO ONE
   End; { MATE INFO
 ---------------------------------------------------------------------------

  The G5_MATES.DAT record below is correct now as it should have been in the
  first place. This was just a stupid mistake on my part! :(

 ****************************************************************************

-----------------------------------------------------------------------------
  These are the structures to all data files used in Galaxy 5. All of the
  data files that these records are held in, are located in the DATA
  subdirectory, off of the home Galaxy 5 directory. Feel free to
  create add on utilties, freeware, shareware, whatever. I ask for no
  royalties or anything of that sort. ;> However, it would be cool if ya
  would send me a copy of any utilities you create, I would like to check
  em out myself! It would like, be cool or sumthin...
-----------------------------------------------------------------------------

  If you are creating an Xport for Galaxy 5, please look over the XPORTS.TXT
  file for full information on what you need to know.

-----------------------------------------------------------------------------

* ATTENTION *  -Changes-

  As of v1.06 Wide Beta, the "HireAmount" variable in the configuration
  record has been changed from an Integer value, to a LongInt value.

-----------------------------------------------------------------------------

 These types must be defined in your program in order to be able to use
 the data structures.                                                       }
Type
    Gender_Type = (Male, Female); { USED FOR PLAYERS GENDER }
    Yes_Or_No = (Yes, No);        { EASIER THAN USING NUMBERS }
{---------------------------------------------------------------------------}

{ PLAYERS.DAT - Players info }

    Player_Info = Record
      Number : Integer;      { POSITION OF PLAYERS RECORD IN DATA FILE }
      Name : String[30];     { PLAYERS NAME AS ON BBS }
      Handle : String[20];   { PLAYERS ALIAS }
      Gender : Gender_Type;  { MALE OR FEMALE }
      PlayerType : String[12]; { ASSASSIN, STAR PILOT, CON ARTIST }
      WeaponNumber : ShortInt; { RANGE 1 - 10 }
      Weapon : String[20];   { NAME OF WEAPON }
      ArmourNumber : ShortInt;{ RANGE OF 1 - 10 }
      Armour : String[20];   { NAME OF ARMOUR }
      ShipNumber : ShortInt; { RANGE OF 1 - 10 }
      Ship : String[20];     { NAME OF SHIP }
      OnPlanet : ShortInt;   { NUMBER OF PLANET PLAYER IS ON 1-5 }
      LastOn : String[8];    { DATE PLAYER WUZ LAST ON, 09/05/95 ETC. }
      Dead : Yes_Or_No;      { IS PLAYER DEAD? }
      Health : Integer;      { HOW MUCH HEALTH }
      Max_Health : Integer;  { MAXIMUM HEALTH }
      Strength : LongInt;    { HOW POWERFUL IS THIS PLAYER? }
      Defense : LongInt;     { DEFENSIVE STRENGTH }
      Rank : ShortInt;       { LEVEL OF PLAYER 1 - 15 }
      Skill : LongInt;       { HOW MUCH SKILL PLAYER HAS }
      Fuel : LongInt;        { HOW MUCH FUEL ON BOARD }
      Looks : Integer;       { HOW GOOD LOOKING IS THE PLAYER? }
      Lays : Integer;        { HOW MANY TIMES PLAYERS BEEN LAID }
      Attacks : ShortInt;    { HOW MANY PLAYER FIGHTS LEFT TODAY }
      Fights : ShortInt;     { HOW MANY FIGHTS LEFT TODAY }
      Money : LongInt;       { HOW MUCH MONEY IN POCKET }
      Bank : LongInt;        { HOW MUCH MONEY IN BANK }
      Meals : ShortInt;      { HOW MANY MEALS HAS PLAYER HAD TODAY? }
      Drinks : ShortInt;     { HOW MANY DRINKS HAS PLAYER HAD TODAY? }
      Married : Yes_Or_No;   { PLAYER MARRIED? }
      MarriedTo : Integer;   { IF PLAYER MARRIED, WHO TO DATA NUMBER? A
                               NEGATIVE NUMBER HERE BETWEEN -1 AND -5, MEANS
                               THAT THIS PLAYER IS MARRIED TO THE MATE AT
                               THE INN OF THE PLANET SPECIFIED. -1 WOULD BE
                               THE FIRST PLANET, -2 THE SECOND, ETC.        }
      Expert : Yes_Or_No;    { EXPERT MODE ON? }
      At_Inn : Yes_Or_No;    { SLEEPING AT AN INN? }
      Flirted_Inn : Array[1..5] Of Yes_Or_No; { FLIRTED AT THE INNS? PLAYERS
                                                CAN FLIRT ONCE EACH DAY AT
                                                EACH INN                    }
      Have_Bike : Yes_Or_No; { DOES THIS PLAYER HAVE A HYPER BIKE }
      Power_Moves : Integer; { HOW MANY POWER MOVES LEFT }
      On_Now : Yes_Or_No;     { IS PLAYER PLAYING RIGHT NOW? }
      Player_Kills : Integer;{ HOW MANY OTHER PLAYERS THIS PLAYER HAS KILLED }
      Rank_Battle : Yes_Or_No; { HAS PLAYER HAD A RANK BATTLE TODAY?  }
      AllowedToPlay : Yes_Or_No;{ ALLOWED TO PLAY TODAY? }
      Days : Integer;        { DAYS SINCE LAST PLAYED }
      Medicine : Integer;    { HOW MANY MEDICINES PLAYER HAS ON HAND }
      CardGames : Byte;      { HOW MANY CARDGAMES PLAYER HAS LEFT }
      Coins : Integer;       { HOW MANY ENERGY COINS PLAYER HAS }
    End; { PLAYER INFO RECORD }

{---------------------------------------------------------------------------}

{ PLANETS.DAT - Info on the 5 planets. The "Raw" planet name must not contain
                any G5 color codes. The "CurrentPlanet" field can contain
                color codes. This is the one shown to callers as their
                current planet, and when they choose a planet after selecting
                (G)o to another planet. The "Pcolor_Dark" & "Pcolor_Light"
                fields are used to determine the color of text to be used
                with players who are on that planet. This makes it easier to
                remember which planet they are on, once they get to know
                which planet is what color.}

    Planet_Info = Record
      PlanetName : String[7];     { RAW NAME OF PLANET (NO COLOR CODES) }
      CurrentPlanet : String[30]; { FANCY NAME OF PLANET (COLOR OPTIONAL) }
      PColor_Dark : String[4];    { DARK COLOR CODE FOR PLANET }
      PColor_Light : String[4];   { LIGHT COLOR CODE FOR PLANET }
    End; { PLANET RECORD }

{---------------------------------------------------------------------------}

{ ENEMIES.DAT - Enemy records. These are the enemies that players encounter
                in the warfields. There can be up to 32,767 records in this
                data file. Strength, defense, etc. etc. are not contained
                in the data file. These are generated internally by the game
                each time a fight is initiated.                             }

    Enemy_Info = Record
      EnemyName : String[20]; { ENEMIES NAME AS SHOWN DURING FIGHT }
      Weapon : String[15];    { NAME OF ENEMIES WEAPON }
      Move : String;          { STRING TO USE WHEN ENEMY GETS GOOD MOVE IN }
      Wasted : String;        { STRING TO USE WHEN PLAYER KILLS ENEMY }
    End; { ENEMY RECORD }

{---------------------------------------------------------------------------}

{ G5_MATES.DAT - Info on the mates at each inn that the players can flirt
                 with.                                                      }

    Mate_Info = Record
      Girls_Name : String[15];  { NAME OF GIRL TO FLIRT WITH ON PLANET }
      Guys_Name : String[15];   { NAME OF GUY TO FLIRT WITH ON PLANET }
      Girl_MarriedTo : Integer; { GIRL MARRIED TO PLAYER NUMBER? -1 = NO ONE }
      Guy_MarriedTo : Integer;  { GUY MARRIED TO PLAYER NUMBER? -1 = NO ONE }
    End; { MATE INFO }

{---------------------------------------------------------------------------}

{ G5CONFIG.DAT - Configuration data file. }

{ All fields that start with a version number, denotes changes since the
  shown version number                                                    }

    Config_Record = Record
      AllowLays : Yes_Or_No;  { ALLOW GETTING LAID? }
      MaxTransfers : Byte;    { MAXIMUM BANK TRANSFERS PER DAY }
      MaxAmount : LongInt;    { MAXIMUM BANK TRANSFER AMOUNT 0 = NO LIMIT }
      FightsDay : Byte;       { HOW MANY FIGHTS PER DAY }
      AttacksDay : Byte;      { HOW MANY PLAYER FIGHTS PER DAY }
      Interest : Integer;     { INTEREST RATE ON MONEY IN BANK (%) }
{1.06}HireAmount : LongInt;   { HOW MUCH IT COSTS TO HIRE SOMEONE TO KILL
                                ANOTHER PLAYER (MULTIPLIED BY THE PLAYERS
                                RANK WHO IS BEING HIRED                  }
      DSZ_Path : String;      { PATH TO DSZ, GSZ FOR TRANSFERS }
      DSZ_All : Yes_Or_No;    { DOES DSZ SUPPORT ALL 3 PROTOCOLS? }
      MaxMeals : Integer;     { MAXIMUM AMOUNT OF MEALS ALLOWED IN A DAY }
      MaxDrinks : Integer;    { MAXIMUM AMOUNT OF DRINKS ALLOWED IN A DAY }
      MealCost : Integer;     { COST TO BUY A MEAL }
      DrinksCost : Integer;   { COST TO BUY A DRINK }
      ANSI : String;          { ANSI RANKS BULLETIN (OR BLANK FOR NONE) }
      ASCII : String;         { ASCII RANKS BULLETIN (OR BLANK FOR NONE) }
      Deletion : Integer;     { DAYS TO DELETE INACTIVE PLAYERS }
      Revive : Integer;       { DAYS TO REVIVE DEAD PLAYERS }
      Bulletin : String;      { NAME AND/OR FULL PATH OF SYSOPS BULLETIN }
      BBSName : String[30];   { NAME OF THE BBS RUNNING THE GAME }
      Lock_Baud : LongInt;    { LOCKED BAUD RATE (IF ANY) }
      SysOp_Message : String; { NAME OF TEXT FILE TO USE FOR WELCOME MESSAGE}
      CardGames : Byte;       { HOW MANY CARD GAMES PLAYERS GET PER DAY }
{1.04}Credit : String[40];    { GIVING CREDIT TO ? FOR REGISTERING G5 }
{1.04}LoadEMS : Yes_Or_No;    { LOADING OVERLAYS INTO EMS? }
{1.04}AllowBuy_Coins : Yes_Or_No; { ALLOW BUYING ENERGY COINS AT BANK? }
{1.04}AllowSell_Coins : Yes_Or_No;{ ALLOW SELLING ENERGY COINS AT BANK? }
{1.04}CoinPrice : LongInt;    { PRICE OF ENERGY COINS FOR BUYING & SELLING }
{1.07}Erase100 : Yes_Or_No;   { ERASE PLAYERS WITH 100 SKILL DAILY? }
{1.09}Swap : Yes_Or_No;       { SWAP OUT FOR XPORTS INSTEAD OF TERMINATING? }
    End; { CONFIG RECORD }

{---------------------------------------------------------------------------}

{ HIT_INFO.DAT - Info on who has hired who to kill who (if any). This file
                 will not exist until someone hires another player to kill
                 another player. If there is only one hired hit, then after
                 the hit is made, this file is erased.                      }

    Hire_Info = Record
      Player_Hired : Integer; { DATA RECORD # OF PLAYER WHO WUZ HIRED }
      Hired_By : Integer;     { DATA RECORD # OF PLAYER WHO HIRED ASSASSIN }
      Target : Integer;       { DATA RECORD # OF PLAYER TO BE KILLED }
      DateHired : String[8];  { DATE THE PLAYER WUZ HIRED }
      Made_Hit : Yes_Or_No;   { MADE THE HIT YET? }
      Price : LongInt;        { PRICE THE HIT MAN WUZ HIRED FOR }
    End;

{---------------------------------------------------------------------------}

{ XPORTINF.DAT - Used for Xports that wish to allow players to stay a night
                 in their Xport. *Read* the XPORTS.TXT file for full info
                 on how to do this!                                         }

    Xport_Record = Record
      PlayerNumber : Integer; { NUMBER OF THE PLAYER FROM PLAYERS.DAT }
      In_Xport : Yes_Or_No;   { IS THIS PLAYER STAYING IN AN XPORT? }
      XportCommand : String;  { THE COMMAND USED TO LAUNCH YOUR XPORT }
      Active : Yes_Or_No;     { ALWAYS SET THIS TO YES, THEN IGNORE IT! ;) }
    End;

{---------------------------------------------------------------------------}